package com.guigarage.gestures;

import javax.swing.JComponent;

/**
 * A event that indicates that a magnification gesture occured on a component.
 * @author hendrikebbers
 *
 */
public class GestureMagnificationEvent extends GestureEvent {

	private static final long serialVersionUID = 1L;

	private final double magnification;
	
	/**
	 * Constructs a <code>GestureMagnificationEvent</code> object with the
     * specified source component
	 * @param source the component on with the event occured
	 * @param magnification the magnification value
	 */
	public GestureMagnificationEvent(JComponent source, double magnification) {
		super(source);
		this.magnification = magnification;
	}

	/**
	 * Returns the magnification value
	 * @return the magnification value
	 */
	public double getMagnification() {
		return magnification;
	}
}
