package com.guigarage.gestures;

import javax.swing.JComponent;

/**
 * A event that indicates that a rotation gesture occured on a component.
 * @author hendrikebbers
 *
 */
public class GestureRotationEvent extends GestureEvent {

	private static final long serialVersionUID = 1L;

	private final double rotation;

	/**
	 * Constructs a <code>GestureRotationEvent</code> object with the
     * specified source component
	 * @param source the component on with the event occured
	 * @param rotation the rotation value
	 */
	public GestureRotationEvent(JComponent source, double rotation) {
		super(source);
		this.rotation = rotation;
	}

	/**
	 * Returns the rotation value
	 * @return the rotation value
	 */
	public double getRotation() {
		return rotation;
	}
}
