package com.guigarage.gestures;

/**
 * Listener for swipe events
 * @author hendrikebbers
 *
 */
public interface GestureSwipeListener extends GestureListener {
	
	/**
	 * Invoked when the user executed a swipe down gesture
	 * @param gestureSwipeEvent the occured event
	 */
	void swipedDown(GestureSwipeEvent gestureSwipeEvent);

	/**
	 * Invoked when the user executed a swipe left gesture
	 * @param gestureSwipeEvent the occured event
	 */
	void swipedLeft(GestureSwipeEvent gestureSwipeEvent);

	/**
	 * Invoked when the user executed a swipe right gesture
	 * @param gestureSwipeEvent the occured event
	 */
	void swipedRight(GestureSwipeEvent gestureSwipeEvent);

	/**
	 * Invoked when the user executed a swipe up gesture
	 * @param gestureSwipeEvent the occured event
	 */
	void swipedUp(GestureSwipeEvent gestureSwipeEvent);

}
