package com.guigarage.gestures;

/**
 * Thrown when an application tries to use multitouch gestures but the API is
 * not supported on the system
 * 
 * @author hendrikebbers
 * @see GestureUtilities
 */
public class GesturesNotSupportedException extends Exception {

	private static final long serialVersionUID = 1L;

	/**
     * Constructs a <code>GesturesNotSupportedException</code>
     */
	public GesturesNotSupportedException() {
	}

	/**
	 * Constructs a <code>GesturesNotSupportedException</code>
	 * @param message description of the exception
	 */
	public GesturesNotSupportedException(String message) {
		super(message);
	}

	/**
	 * Constructs a <code>GesturesNotSupportedException</code>
	 * @param t the exception that was raised by using multitouch gestures
	 */
	public GesturesNotSupportedException(Throwable t) {
		super(t);
	}

	/**
	 * Constructs a <code>GesturesNotSupportedException</code>
	 * @param message description of the exception
	 * @param t the exception that was raised by using multitouch gestures
	 */
	public GesturesNotSupportedException(String message, Throwable t) {
		super(message, t);
	}
}
